Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | List of all members
modbus::Device Interface Reference
Inheritance diagram for modbus::Device:

## Classes
struct | DeviceID
| modbus encapsulated transport device identification (0x2B / 0x0E) More...

## Public Member Functions
DeviceID | readDeviceIdentification ()
| Read the modbus encapsulated transport device identification (0x2B / 0x0E). More...

## Member Function Documentation

## ◆ readDeviceIdentification()

DeviceID modbus::Device::readDeviceIdentification | ( |  | ) |

Read the modbus encapsulated transport device identification (0x2B / 0x0E).

Returns
  device identification.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/ModbusDevice.idl